.car {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.car-wheel {
  width: 300px;
  height: 300px;
  background-color: #4c4c4c;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.car-rim-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 95%;
  height: 95%;
  border-radius: 50%;
  border: 7px dashed white;
}

.car-wheel-rim {
  width: 99%;
  height: 99%;
  background-color: white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.circle-1 {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 85%;
  height: 85%;
  border-radius: 50%;
  border: 6px dashed rebeccapurple;
}

.circle-2 {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 80%;
  height: 80%;
  border-radius: 50%;
  border: 5px dashed #ffeb3b;
}

.circle-3 {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 75%;
  height: 75%;
  border-radius: 50%;
  border: 4px dashed #e91e63;
}

.circle-4 {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 70%;
  height: 70%;
  border-radius: 50%;
  border: 3px dashed #448aff;
}

.circle-5 {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 70%;
  height: 70%;
  border-radius: 50%;
  border: 2px dashed #ff5722;
}

.circle-6 {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 65%;
  height: 65%;
  border-radius: 50%;
  border: 1px dashed #8bc34a;
}

.car-wheel:nth-child(even) .car-rim-wrapper {
  animation: spin-reverse 15s linear infinite;
}

.car-wheel:nth-child(odd) .car-rim-wrapper {
  animation: spin 15s linear infinite;
}

.car-wheel:nth-child(odd) .car-rim-wrapper .circle-1 {
  animation: spin-reverse 10s linear infinite;
}
.car-wheel:nth-child(odd) .car-rim-wrapper .circle-2 {
  animation: spin-reverse 8s linear infinite;
}
.car-wheel:nth-child(odd) .car-rim-wrapper .circle-3 {
  animation: spin-reverse 6s linear infinite;
}
.car-wheel:nth-child(odd) .car-rim-wrapper .circle-4 {
  animation: spin-reverse 4s linear infinite;
}
.car-wheel:nth-child(odd) .car-rim-wrapper .circle-5 {
  animation: spin-reverse 2s linear infinite;
}
.car-wheel:nth-child(odd) .car-rim-wrapper .circle-6 {
  animation: spin-reverse 1s linear infinite;
}

/** Event **/
.car-wheel:nth-child(even) .car-rim-wrapper .circle-1 {
  animation: spin 10s linear infinite;
}
.car-wheel:nth-child(even) .car-rim-wrapper .circle-2 {
  animation: spin 8s linear infinite;
}
.car-wheel:nth-child(even) .car-rim-wrapper .circle-3 {
  animation: spin 6s linear infinite;
}
.car-wheel:nth-child(even) .car-rim-wrapper .circle-4 {
  animation: spin 4s linear infinite;
}
.car-wheel:nth-child(even) .car-rim-wrapper .circle-5 {
  animation: spin 2s linear infinite;
}
.car-wheel:nth-child(even) .car-rim-wrapper .circle-6 {
  animation: spin 1s linear infinite;
}

@keyframes spin {
  100% {
    transform: rotate(-360deg);
  }
}

@keyframes spin-reverse {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes scale {
  0% {
    transform: scale(0);
  }
  10% {
    transform: scale(0.2);
  }
  20% {
    transform: scale(0.4);
  }
  30% {
    transform: scale(0.6);
  }
  40% {
    transform: scale(0.8);
  }
  50% {
    transform: scale(1);
  }
  60% {
    transform: scale(1);
  }
  70% {
    transform: scale(0.7);
  }
  80% {
    transform: scale(0.5);
  }
  90% {
    transform: scale(0.3);
  }
  100% {
    transform: scale(0);
  }
}
